Subject: Re: bug#45631: 27.1; regression: message-forward-ignored-headers no longer applies when forwarding as MIME

From: Robert Pluim <[email-masked]>
Date: Tue, 05 Jan 2021 14:06:54 +0100

Daniel Kahn Gillmor <[email-masked]> writes:

> I've been using emacs as my MUA for years.
>
> When I upgraded from emacs 26.3 to emacs 27.1, i noticed that
> message-forward-as-mime now defaults to nil.  I prefer to forward as
> MIME generally, so i set it back to t.
>
> The only downside to forwarding as MIME is the inclusion of some headers
> that the received message has accumulated in transit, which might have
> privacy-sensitive implications. I've been using
> message-forward-ignored-headers for a while now to trim out headers like
> Received and Delivered-To when forwarding.
>
> But as of 27.1, message-forward-ignored-headers doesn't work when
> forwarding as MIME.  indeed, the help text for the variable now says
>
>  >> This variable is only consulted when forwarding "normally", not when
>  >> forwarding as MIME or the like.
>
> But this is a regression from 26.3.  I'd expect it to keep working.
>
> Please restore the functionality so that i can automatically strip
> privacy-sensitive headers when forwarding.

Iʼve compared emacs-26 and emacs-27, and the code is the same, which
leads me to suspect something different in your
configuration. 'message-forward-ignored-headers' is applied even when
forwarding as MIME (despite the docstring), except when
'message-forward-show-mml' is nil, or when itʼs 'best' and the
forwarded message is either signed or encrypted. Or maybe youʼre
forwarding from inside the *Article* buffer, I think Gnus behaves
differently then.

Robert